Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.snalu62.inbound
Interface SNAInboundConfiguration.SNAInboundConnectionManagement

Enclosing interface:
  SNAInboundConfiguration

    public static interface SNAInboundConfiguration.SNAInboundConnectionManagement

The configuration object for inbound ConnectionManagement section. For more information about each method, see the corresponding online help for the eWay configuration editor GUI.

Version:
  cvs revision: $Revision: 1.5 $ Last Modified: $Date: 2007/12/12 00:11:34 $
Author:
  Harry Liu (harryliu@seebeyond.com)

Method Summary
`long` | `getConnectionPoolSize()` Gets ConnectionPoolSize
`java.lang.String` | `getScopeOfConnection()` Gets ScopeOfConnection
`boolean` | `isCollaborationScopeOfConnection()` Is CollaborationScopeOfConnection?
`boolean` | `isResourceAdapterScopeOfConnection()` Is ResourceAdapterScopeOfConnection?
`void` | `setConnectionPoolSize(long aConnectionPoolSize)` Sets ConnectionPoolSize
`void` | `setScopeOfConnection(java.lang.String aScopeOfConnection)` Sets ScopeOfConnection
`void` | `validate()` Validates inbound ConnectionManagement section

Method Detail

### getScopeOfConnection

    java.lang.String getScopeOfConnection()

  Gets ScopeOfConnection

  Returns:
    ScopeOfConnection

### isResourceAdapterScopeOfConnection

    boolean isResourceAdapterScopeOfConnection()

  Is ResourceAdapterScopeOfConnection?

  Returns:
    Flag ResourceAdapterScopeOfConnection

### isCollaborationScopeOfConnection

    boolean isCollaborationScopeOfConnection()

  Is CollaborationScopeOfConnection?

  Returns:
    Flag CollaborationScopeOfConnection

### getConnectionPoolSize

    long getConnectionPoolSize()

  Gets ConnectionPoolSize

  Returns:
    ConnectionPoolSize

### setScopeOfConnection

    void setScopeOfConnection(java.lang.String aScopeOfConnection)
                              throws SNAApplicationException

  Sets ScopeOfConnection

  Parameters:
    `aScopeOfConnection` - The ScopeOfConnection to set
  Throws:
    `SNAApplicationException` - on error

### setConnectionPoolSize

    void setConnectionPoolSize(long aConnectionPoolSize)
                               throws SNAApplicationException

  Sets ConnectionPoolSize

  Parameters:
    `aConnectionPoolSize` - The ConnectionPoolSize to set
  Throws:
    `SNAApplicationException` - on error

### validate

    void validate()
                  throws SNAApplicationException

  Validates inbound ConnectionManagement section

  Throws:
    `SNAApplicationException` - up on error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.